Debian Bug report logs - #489701
librxtx-java: does not work, UnsatisfiedLinkError and NoClassDefFoundError

version graph

Package: librxtx-java; Maintainer for librxtx-java is Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for librxtx-java is src:rxtx.

Reported by: Piotr Popieluch <piotr1212@gmail.com>

Date: Mon, 7 Jul 2008 09:00:02 UTC

Severity: normal

Found in version rxtx/2.1.7-2

Fixed in version rxtx/2.2pre2-1

Done: Scott Howard <showard314@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. Full text and rfc822 format available.

Acknowledgement sent to Piotr Popieluch <piotr1212@gmail.com>:
New Bug report received and forwarded. Copy sent to Mario Joussen <joussen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr Popieluch <piotr1212@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: librxtx-java: does not work, UnsatisfiedLinkError and NoClassDefFoundError
Date: Mon, 07 Jul 2008 10:58:14 +0200
Package: librxtx-java
Version: 2.1.7-2
Severity: normal


When I install the package I get the following errors while testing it using a simple 
application:

java.lang.UnsatisfiedLinkError: nativeGetVersion thrown while loading gnu.io.RXTXCommDriver
java.lang.NoClassDefFoundError thrown while loading gnu.io.RXTXCommDriver


When I compile and install the package myself using apt-get source, the library does work.

The sourcecode I use to test:

cat src/ComPortScanner.java 
import gnu.io.CommPortIdentifier;
import java.util.Enumeration;


public class ComPortScanner {

        @SuppressWarnings("unchecked")
        public static void main(String[] args) {
                System.setSecurityManager(null);
System.out.println("Start");
                Enumeration<CommPortIdentifier> enums = CommPortIdentifier.getPortIdentifiers();
System.out.println("====================");
                while(enums.hasMoreElements()) {
                        CommPortIdentifier next = (CommPortIdentifier)enums.nextElement();
System.out.println("portname:" + next.getName() + " - Owner:" + next.getCurrentOwner());
                }
System.out.println("====================");
System.out.println("End");
        }


The errors I get with the Package default installed:
Experimental:  JNI_OnLoad called.
java.lang.UnsatisfiedLinkError: nativeGetVersion thrown while loading gnu.io.RXT
XCommDriver
java.lang.NoClassDefFoundError thrown while loading gnu.io.RXTXCommDriver


When I compile and install the package myself, using apt-get source; ./configure; make; make 
install :
 
$ java ComPortScanner
Start
Experimental:  JNI_OnLoad called.
Stable Library
=========================================
Native lib Version = RXTX-2.1-7
Java lib Version   = RXTX-2.1-7
====================
portname:/dev/ttyS0 - Owner:null
====================
End



-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. Full text and rfc822 format available.

Acknowledgement sent to Mario Joußen <joussen@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. Full text and rfc822 format available.

Message #10 received at 489701@bugs.debian.org (full text, mbox):

From: Mario Joußen <joussen@debian.org>
To: Piotr Popieluch <piotr1212@gmail.com>, 489701@bugs.debian.org
Subject: Re: Bug#489701: librxtx-java: does not work, UnsatisfiedLinkError and NoClassDefFoundError
Date: Tue, 22 Jul 2008 09:44:19 +0200
Hi Piotr,

I just uploaded a new version to unstable. You can get it form here
<http://ftp.debian.org/debian/pool/main/r/rxtx/librxtx-java_2.1.7r2-4_i386.deb>.
Could you please check, if it still does not work?

Cheers, Mario

-- 
 .''`.   Mario Joußen <joussen@debian.org>
: :'  :  proud Debian developer, administrator, and user
`. `'`
  `-  Debian - when you have better things to do than fixing systems




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Thu, 19 Nov 2009 16:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Zimmermann <nussgipfel@gmx.ch>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Thu, 19 Nov 2009 16:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 489701@bugs.debian.org (full text, mbox):

From: Christoph Zimmermann <nussgipfel@gmx.ch>
To: 489701@bugs.debian.org
Cc: Mario Joußen <joussen@debian.org>
Subject: librxtx-java: does not work, UnsatisfiedLinkError and NoClassDefFoundError
Date: Thu, 19 Nov 2009 17:33:04 +0100
this is still an issue. 

with the librxtx-java.deb package it doesn't work. when i compile it
myself out of the package sources it works.

my system:
 debian sid
 kernel 2.6.31-5.slh.3-sidux-amd64 #1 SMP PREEMPT 
 java -version:
  java version "1.6.0_0"
  OpenJDK Runtime Environment (IcedTea6 1.6.1) (6b16-1.6.1-2)
  OpenJDK 64-Bit Server VM (build 14.0-b16, mixed mode)


i had some trouble to compile a working rxtx library myself (until i
figured out that i have to install openjdk-6-jre and not using
java-gcj-compat...). after that a normal ./configure make make install
solved the problem.

there is also still an open issue about the older 'UTS_RELEASE' issue:

conftest.c: In function 'main':
conftest.c:8: error: 'UTS_RELEASE' undeclared (first use in this
function) conftest.c:8: error: (Each undeclared identifier is reported
only once conftest.c:8: error: for each function it appears in.)
conftest.c:8: error: expected ')' before string constant
./configure: line 21462: ./conftest: No such file or directory
./configure: line 21462: test: 2.6.31-5.slh.3-sidux-amd64: unary
operator expected configure: creating ./config.status

everything works fine but still the configuration test fails, what is
not nice.

thanks providing these package
christoph




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Fri, 20 Nov 2009 17:03:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Zimmermann <nussgipfel@gmx.ch>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Fri, 20 Nov 2009 17:03:18 GMT) Full text and rfc822 format available.

Message #20 received at 489701@bugs.debian.org (full text, mbox):

From: Christoph Zimmermann <nussgipfel@gmx.ch>
To: 489701@bugs.debian.org
Subject: librxtx-java: does not work, UnsatisfiedLinkError and NoClassDefFoundError
Date: Fri, 20 Nov 2009 17:56:31 +0100
small update to the stuff I wrote yesterday:

some simple java test programm using the RXTX library are working when
I install the library manualy (as descriped in my last post).

but the application I was interested in was crashing everytime at the
same position.
(Sump Logic Analyzer Client
http://www.sump.org/projects/analyzer/client/?#comment)

today I tried to install the newer version of the RXTX library,
version rxtx-2.2pre2, getting the same compile errors as from the
latest stable library (the base for the current debian package). 

So I tried to apply the patch from the stable version to the new
2.2pre2 and it worked well. some stuff applied not well but I was able
to compile and install the new version without errors.

Now the Sump Logic Analyzer WORKS! No crashes anymore.

I suggest to update the the library in debian SID to the version
2.2pre2.

output of patch:

rxtx-2.2pre2$ patch -p1 < ../rxtx_2.1.7r2-4.diff patching file
Makefile.in Hunk #1 succeeded at 609 with fuzz 2 (offset 53
lines). Hunk #2 succeeded at 626 (offset 53
lines). patching file
configure Hunk #1 succeeded at 22093 (offset 592
lines). Hunk #2 succeeded at 22105 (offset 592
lines). Hunk #3 FAILED at
22133. Hunk #4 FAILED at
22203. Hunk #5 FAILED at
22339. Hunk #6 FAILED at
22391. 4 out of 6 hunks FAILED -- saving rejects to file
configure.rej patching file
debian/changelog patching file
debian/control patching file
debian/copyright patching file
debian/rules patching file
debian/README.Debian patching file
debian/librxtx-java.dirs patching file
debian/librxtx-java.docs patching file
debian/compat patching file
src/SerialImp.cpp Hunk #1 succeeded at 142 (offset 39
lines). Hunk #2 succeeded at 154 (offset 39
lines). patching file
src/I2CImp.c Hunk #1 succeeded at 61 (offset 39
lines). Hunk #2 succeeded at 127 (offset 39
lines). Hunk #3 succeeded at 138 (offset 39
lines). patching file
src/ParallelImp.c Hunk #1 FAILED at
38. 1 out of 1 hunk FAILED -- saving rejects to file
src/ParallelImp.c.rej patching file
src/RS485Imp.c Hunk #1 succeeded at 61 (offset 39
lines). Hunk #2 succeeded at 127 (offset 39
lines). Hunk #3 succeeded at 138 (offset 39
lines). patching file
src/RawImp.c Hunk #1 succeeded at 69 (offset 38
lines). Hunk #2 succeeded at 272 (offset 40
lines). Hunk #3 succeeded at 283 (offset 40
lines). patching file
src/SerialImp.c Hunk #1 succeeded at 66 (offset 39
lines). Hunk #2 succeeded at 320 (offset 39
lines). Hunk #3 succeeded at 334 (offset 39 lines). 




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Tue, 22 Dec 2009 11:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Zimmermann <christoph@bigbeat.ch>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Tue, 22 Dec 2009 11:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 489701@bugs.debian.org (full text, mbox):

From: Christoph Zimmermann <christoph@bigbeat.ch>
To: 489701@bugs.debian.org, 523139@bugs.debian.org, owner@bugs.debian.org
Subject: librxtx-java is not fixed for long time
Date: Tue, 22 Dec 2009 12:35:15 +0100
the reported bugs are older than a year and it seems to me that these
errors also occour in debian stable.

the solution to this two bugs is posted and nothing happend. so, in my
opinion, i would suggest these packet to be opend for adoption.




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Fri, 25 Dec 2009 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Joußen <joussen@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Fri, 25 Dec 2009 08:36:03 GMT) Full text and rfc822 format available.

Message #30 received at 489701@bugs.debian.org (full text, mbox):

From: Mario Joußen <joussen@debian.org>
To: Christoph Zimmermann <christoph@bigbeat.ch>, 489701@bugs.debian.org, 523139@bugs.debian.org
Subject: Re: Bug#489701: librxtx-java is not fixed for long time
Date: Fri, 25 Dec 2009 09:20:59 +0100
Christoph Zimmermann schrieb:
> the reported bugs are older than a year and it seems to me that these
> errors also occour in debian stable.
> 
> the solution to this two bugs is posted and nothing happend. so, in my
> opinion, i would suggest these packet to be opend for adoption.

There are two reasons, why this bug was not fixed already. One is that I
currently don't have any time to work on it and the other one is that I
don't have a PC with a serial port anymore.
If someone is willing to take over this package, feel free to do it.

Happy Christmas, Mario




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Sat, 23 Jan 2010 10:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Taisuke Yamada <tai@rkgk.org>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Sat, 23 Jan 2010 10:30:06 GMT) Full text and rfc822 format available.

Message #35 received at 489701@bugs.debian.org (full text, mbox):

From: Taisuke Yamada <tai@rkgk.org>
To: 489701@bugs.debian.org
Subject: Re: Bug#489701: librxtx-java is not fixed for long time
Date: Sat, 23 Jan 2010 19:28:57 +0900
Hi.

I'm looking into this issue for Debian BSP, and got latest 2.2-pre2 packaged.
I'm still making it lintian clean, though.

If no one is coming up, I'd be happy to maintain this as I'll probably be using
both serial/parallel port for more years.

Best Regards,




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Sat, 23 Jan 2010 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Joußen <mario@joussen.org>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Sat, 23 Jan 2010 16:03:08 GMT) Full text and rfc822 format available.

Message #40 received at 489701@bugs.debian.org (full text, mbox):

From: Mario Joußen <mario@joussen.org>
To: Taisuke Yamada <tai@rkgk.org>, 489701@bugs.debian.org
Subject: Re: Bug#489701: librxtx-java is not fixed for long time
Date: Sat, 23 Jan 2010 16:55:28 +0100
Taisuke Yamada wrote:
> Hi.
> 
> I'm looking into this issue for Debian BSP, and got latest 2.2-pre2 packaged.
> I'm still making it lintian clean, though.
> 
> If no one is coming up, I'd be happy to maintain this as I'll probably be using
> both serial/parallel port for more years.
> 
> Best Regards,

That sounds great. Feel free to take it over.

Cheers, Mario




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Mon, 15 Mar 2010 05:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Duboue <pablo.duboue@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Mon, 15 Mar 2010 05:15:05 GMT) Full text and rfc822 format available.

Message #45 received at 489701@bugs.debian.org (full text, mbox):

From: Pablo Duboue <pablo.duboue@gmail.com>
To: tai@rkgk.org
Cc: 433270@bugs.debian.org, 489701@bugs.debian.org
Subject: bringing it into team maintenance?
Date: Mon, 15 Mar 2010 00:08:51 -0500
[Message part 1 (text/plain, inline)]
Hi Taisuke,

Would you consider bringing it into the Debian-Java project 
(http://java.debian.net/)? It is as easy as joining the Alioth project.

I need this for packaging Processing, which you are of course also invited to 
help packaging.

P.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Fri, 19 Mar 2010 04:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Taisuke Yamada <tai@rakugaki.org>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Fri, 19 Mar 2010 04:09:11 GMT) Full text and rfc822 format available.

Message #50 received at 489701@bugs.debian.org (full text, mbox):

From: Taisuke Yamada <tai@rakugaki.org>
To: Pablo Duboue <pablo.duboue@gmail.com>
Cc: 433270@bugs.debian.org, 489701@bugs.debian.org
Subject: Re: bringing it into team maintenance?
Date: Fri, 19 Mar 2010 12:58:06 +0900
Hi Pablo,

Excuse me for the delay in response.

I'd be happy to join in. So what should I do now?
Should I simply submit joining request form on project page?

Since I recently started as Debian package maintainer, I'm not
an DD/DM (yet). So I needed someone to do me a sponsored upload.
I guess changing header to "Maintainer: Debian Java maintainers"
make things easier, so joining Debian-Java project sounds great
for all of us.

Best Regards,
Taisuke Yamada

> Hi Taisuke,
> 
> Would you consider bringing it into the Debian-Java project 
> (http://java.debian.net/)? It is as easy as joining the Alioth project.
> 
> I need this for packaging Processing, which you are of course also invited to 
> help packaging.
> 
> P.





Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Fri, 09 Apr 2010 22:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Duboue <pablo.duboue@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Fri, 09 Apr 2010 22:12:06 GMT) Full text and rfc822 format available.

Message #55 received at 489701@bugs.debian.org (full text, mbox):

From: Pablo Duboue <pablo.duboue@gmail.com>
To: Taisuke Yamada <tai@rakugaki.org>, 489701@bugs.debian.org
Cc: debian-java@lists.debian.org
Subject: Re: bringing it into team maintenance?
Date: Fri, 9 Apr 2010 17:09:36 -0500
[Message part 1 (text/plain, inline)]
Hi Taisuke,

To join debian-java just create an Alioth account and request to join the 
debian-java project.

We use the alioth SVN to keep the debian/ bit of our projects under SVN 
control (and tag the project every time the package is uploaded into the 
Debian archive).

I can do the initial import for librxtx-java if you want.

(Debian Java, Taisuke is taking over librxtx-java from Mario and I invited him 
to do it under the umbrella of team maintenance. I need librxtx-java for 
#433270)

Best regards,

Pablo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Mon, 31 May 2010 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Mon, 31 May 2010 23:03:06 GMT) Full text and rfc822 format available.

Message #60 received at 489701@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 489701@bugs.debian.org
Subject: Checking on status of team adoption for librxtx-java
Date: Mon, 31 May 2010 19:00:40 -0400
Hello, I'm checking up on the status of putting this in the java
team's maintenance and upgraded to the newest version. I can take care
of it if no one is working on it. I'm the maintainer of arduino, and I
need this package to get arduino into testing.




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#489701; Package librxtx-java. (Wed, 02 Jun 2010 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Wed, 02 Jun 2010 04:27:03 GMT) Full text and rfc822 format available.

Message #65 received at 489701@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 489701@bugs.debian.org
Subject: Re: Checking on status of team adoption for librxtx-java
Date: Wed, 2 Jun 2010 00:22:28 -0400
Update on this (and other) librxtx-java bugs:

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/r/rxtx
- Source repository: deb-src http://mentors.debian.net/debian unstable
main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/r/rxtx/rxtx_2.2pre2-1.dsc


I've tested it, and it works well programming microcontrollers. I
requested sponsorship, so if someone is able to sponsor it - let me
know.




Reply sent to Scott Howard <showard314@gmail.com>:
You have taken responsibility. (Tue, 08 Jun 2010 22:06:06 GMT) Full text and rfc822 format available.

Notification sent to Piotr Popieluch <piotr1212@gmail.com>:
Bug acknowledged by developer. (Tue, 08 Jun 2010 22:06:06 GMT) Full text and rfc822 format available.

Message #70 received at 489701-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 489701-close@bugs.debian.org
Subject: Bug#489701: fixed in rxtx 2.2pre2-1
Date: Tue, 08 Jun 2010 22:04:02 +0000
Source: rxtx
Source-Version: 2.2pre2-1

We believe that the bug you reported is fixed in the latest version of
rxtx, which is due to be installed in the Debian FTP archive:

librxtx-java_2.2pre2-1_i386.deb
  to main/r/rxtx/librxtx-java_2.2pre2-1_i386.deb
rxtx_2.2pre2-1.debian.tar.gz
  to main/r/rxtx/rxtx_2.2pre2-1.debian.tar.gz
rxtx_2.2pre2-1.dsc
  to main/r/rxtx/rxtx_2.2pre2-1.dsc
rxtx_2.2pre2.orig.tar.gz
  to main/r/rxtx/rxtx_2.2pre2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 489701@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard314@gmail.com> (supplier of updated rxtx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 03 Jun 2010 23:19:16 -0400
Source: rxtx
Binary: librxtx-java
Architecture: source i386
Version: 2.2pre2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Scott Howard <showard314@gmail.com>
Description: 
 librxtx-java - Full Java CommAPI implementation
Closes: 489701 523139 574395
Changes: 
 rxtx (2.2pre2-1) unstable; urgency=low
 .
   * New upstream release:
     - Fixes JVM crash and UnsatisfiedLinkError/NoClassDefFoundError
       (Closes: #523139) (Closes: #489701)
     - Fixes amd64 support (Closes: #574395)
   * Added debian/watch file
   * Switched to source format 3.0 (quilt)
     - moved debian changes into patch in debian/patches
   * Changed rules to use dh
   * Fixed multiple lintian errors and multiple warnings
     - Policy version 3.8.4
   * Section moved to java from libs
   * Moved to team maintenance: Maintainer: Debian Java maintainers
     - Mario and I moved to uploaders
   * DM Uploads Allowed: yes
   * Build depends on javahelper
     - Binary depends on ${java:Depends}, use jh_installlibs for versioned
       install
     - Versioned naming of RXTXcomm.jar (Debian java policy)
   * Added VCS tags to debian/control
   * Libs now install in /usr/lib/jni instead of /usr/lib
   * Added doc-base file
Checksums-Sha1: 
 00c66420a76b6dc1acc37f79c6119a1054c1d852 1298 rxtx_2.2pre2-1.dsc
 b6148ee4ed2302c79810c0711c2405010294dfa7 1283425 rxtx_2.2pre2.orig.tar.gz
 9a6b7e5ccf455f7a157baf8d9cc779da740ef0fe 10153 rxtx_2.2pre2-1.debian.tar.gz
 6566635a3ebdd110b7b24e9e91dc407f964ab9ad 140300 librxtx-java_2.2pre2-1_i386.deb
Checksums-Sha256: 
 859b65f58cfd46dcff2343b7ee5003bd44a0fa6de75df92ae339bc11c80eaf9a 1298 rxtx_2.2pre2-1.dsc
 c58c63ee700992f25892096ebd28bf5e62f828e2ec60c72041c44a98df2f5ef0 1283425 rxtx_2.2pre2.orig.tar.gz
 91656b30b468721f1d747fec30e05226ca32876ba99bbaa973aea23fc828ddb2 10153 rxtx_2.2pre2-1.debian.tar.gz
 4ae0cf97b45e8315aa5464488a380a1b289b6c59b3f6f4c0cb14e8f4ab85a63b 140300 librxtx-java_2.2pre2-1_i386.deb
Files: 
 b0e8c096acc5798e06a2655d88cd9852 1298 java optional rxtx_2.2pre2-1.dsc
 1aaeaa8525ff0eaada01685b857a1910 1283425 java optional rxtx_2.2pre2.orig.tar.gz
 88ecfc4f0b34ec81db290f449e21759d 10153 java optional rxtx_2.2pre2-1.debian.tar.gz
 48e9aa3b3c8a7091d9c39a8cf13de859 140300 java optional librxtx-java_2.2pre2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwOt6gACgkQfY3dicTPjsMsGwCfbOfI9NIs/PiVvdUk9XfPMAdb
QRYAnjxgomLTtdVME1U7i10HU0G4f+Gy
=JCMg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Jul 2010 07:29:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:36:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.